﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DataUpload
{
    public partial class Loading : UserControl
    {
        private CNPOPSOFT.Controls.LoadingCircle loadingCircle = new CNPOPSOFT.Controls.LoadingCircle();
        public Loading()
        {
            InitializeComponent();
        }

        private void Loading_Load(object sender, EventArgs e)
        {
            loadingCircle.BackColor = System.Drawing.Color.White;
            loadingCircle.Color = System.Drawing.Color.DarkOrange;
            loadingCircle.Location = new System.Drawing.Point(0, 0);
            loadingCircle.Margin = new System.Windows.Forms.Padding(3, 4, 3, 4);
            loadingCircle.Name = "loadingCircle";
            loadingCircle.Size = new System.Drawing.Size(135, 136);
            loadingCircle.StylePreset = CNPOPSOFT.Controls.LoadingCircle.StylePresets.Custom;
            loadingCircle.Text = "loadingCircle";
            this.Controls.Add(loadingCircle);
            loadingCircle.SpokeThickness = 4;
            loadingCircle.InnerCircleRadius = 66;
            loadingCircle.NumberSpoke = 32;
            loadingCircle.OuterCircleRadius = 52;
            loadingCircle.RotationSpeed = 91;
            SetStyle(ControlStyles.SupportsTransparentBackColor, true);
        }

        public void Start() {
            loadingCircle.Active = true;
        }

        public void Stop()
        {
            loadingCircle.Active = false;
        }
    }
}
